| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
KeyReplaceJobDescProv Class Referenceabstract
MMProc

Simple implementation of JobDescProv based on replacing a value in the IOPar with another. More...

`#include <jobdescprov.h>`

Inheritance diagram for KeyReplaceJobDescProv:
[legend]

## Public Member Functions
| KeyReplaceJobDescProv (const IOPar &, const char *key, int nrjobs)
| ~KeyReplaceJobDescProv ()
void | dump (od_ostream &) const override
void | getJob (int, IOPar &) const override
int | nrJobs () const override
const char * | objName (int) const override
const char * | objType () const override
Public Member Functions inherited from JobDescProv
virtual | ~JobDescProv ()
const IOPar & | pars () const

## Public Attributes
BufferString | objtyp_

## Protected Member Functions
virtual const char * | gtObjName (int) const =0
Protected Member Functions inherited from JobDescProv
| JobDescProv (const IOPar &)

## Protected Attributes
BufferString | key_
const int | nrjobs_
Protected Attributes inherited from JobDescProv
IOPar & | inpiopar_
BufferString | objnm_

## Detailed Description

Simple implementation of JobDescProv based on replacing a value in the IOPar with another.

<>

## Constructor & Destructor Documentation

## ◆ KeyReplaceJobDescProv()

KeyReplaceJobDescProv::KeyReplaceJobDescProv | ( | const IOPar & | ,
|  | const char * | key,
|  | int | nrjobs )

## ◆ ~KeyReplaceJobDescProv()

KeyReplaceJobDescProv::~KeyReplaceJobDescProv | ( |  | ) |

## Member Function Documentation

## ◆ dump()

void KeyReplaceJobDescProv::dump | ( | od_ostream & |  | ) | const
| override virtual

Implements JobDescProv.

## ◆ getJob()

void KeyReplaceJobDescProv::getJob | ( | int | ,
|  | IOPar & | ) const
| override virtual

Implements JobDescProv.

## ◆ gtObjName()

virtual const char * KeyReplaceJobDescProv::gtObjName | ( | int |  | ) | const
| protected pure virtual

Implemented in StringKeyReplaceJobDescProv, and IDKeyReplaceJobDescProv.

## ◆ nrJobs()

int KeyReplaceJobDescProv::nrJobs | ( |  | ) | const
| inline override virtual

Implements JobDescProv.

## ◆ objName()

const char * KeyReplaceJobDescProv::objName | ( | int |  | ) | const
| override virtual

Implements JobDescProv.

## ◆ objType()

const char * KeyReplaceJobDescProv::objType | ( |  | ) | const
| inline override virtual

Implements JobDescProv.

## Member Data Documentation

## ◆ key_

BufferString KeyReplaceJobDescProv::key_
| protected

## ◆ nrjobs_

const int KeyReplaceJobDescProv::nrjobs_
| protected

## ◆ objtyp_

BufferString KeyReplaceJobDescProv::objtyp_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025